Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Module Categories

List
GET /taskmanagementmodules/{moduleId}/categories
https://api.relesysapp.net/api/v1.4/taskmanagementmodules/{moduleId}/categories
Get a list of task management module categories.

Default sort is by creationDateTime in ascending order.

Possible task access values:
  • Everywhere
  • Portal
  • App
To filter by color, use the URL-encoded value %23 instead of the # symbol.
Scopes: relesys.api, relesys.api:read, relesys.api.taskmanagement, relesys.api.taskmanagement:read
URL Path
moduleId string / guid The module's unique identifier required
Query String
color string Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
name string Filterable Sortable optional
taskAccess string Filterable Possible values:

Everywhere
App
Portal
optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":3,"data":[{"id":"5cec14de-22ec-4f1e-868f-c8889b67a1d7","name":"Compliance","locales":[{"culture":"en-GB","title":"Compliance"},{"culture":"da-DK","title":"Overholdelse"}],"color":"#FF5733","taskAccess":"Everywhere","creationDateTime":"2026-07-31T15:44:19.2377266+00:00"},{"id":"843ca583-792b-485a-80ff-1d958da2f4cc","name":"Safety","locales":[{"culture":"en-GB","title":"Safety"}],"color":"#33FF57","taskAccess":"App","creationDateTime":"2026-08-05T15:44:19.2377266+00:00"},{"id":"8fed3881-8cf2-4def-b937-3e6ea5b7d7a2","name":"Maintenance","locales":[{"culture":"en-GB","title":"Maintenance"}],"color":"#3357FF","taskAccess":"Portal","creationDateTime":"2026-08-10T15:44:19.2377266+00:00"}]}
object
  count integer      
  data array[object]      
   color string      
   creationDateTime datetimeoffset      
   id string / guid      
   locales array[object]      
    culture string      
    title string      
   name string      
   taskAccess string      
  nextUrl string      
  previousUrl string